#include<bits/stdc++.h>
using namespace std;
long long a,b,k,i,br_2,br_1;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);

    cin>>a>>b>>k;
    br_1=(b/k)-(a/k);
    br_2=(b-a-br_1)/2;
    cout<<br_1+br_2<<"\n";
    return 0;
}
